/* Estilos para la landing page, que estará compuesta en principio
    por cuatro secciones aparte de los slider, las cuales son:

    1- De Interes
    2- Noticias
    3- Redes Sociales

    Nota: Si en un futuro se decide agregar otra sección a la landing page, entonces
    los estilos para esa nueva sección se deberían dar en este archivo.
*/

/* Interes */
.interes{
    /* background: url('http://cpp.gob.do/institucional/wp-content/uploads/sites/9/2023/07/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8)); */
    background-color: #cccccc59;
    display: none;
}

.cabecera-interes > .interes-titulo{
    font-size: 2rem;
    color: #000;
}
.cabecera-interes > .ver-mas-contenedor > a.ver-mas{
    text-decoration: none;
    color: #000;
}
.cabecera-interes > .ver-mas-contenedor > a.ver-mas:hover{
    opacity: .5;
}
.interes > .contenedor-interes{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: 1fr;
    width: 70%;
    height: 50%;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    gap: 1rem;
    
}

.interes > .contenedor-interes > .card{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: white;
    width: 20rem;
    height: 15rem;
    border-radius: .2rem;
    
}
.interes > .contenedor-interes > .card > .card-img{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
    
}
/* .interes > .contenedor-interes > .card:first-child{
    grid-column: 1 / 3;
} */
.interes > .contenedor-interes > .card:first-child > .card-img{
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: column;
}
.interes > .contenedor-interes > .card:first-child > .card-img > .wp-post-image{
    width: 100%;
    object-fit: fill;
}
.interes > .contenedor-interes > .card > .card-img > .wp-post-image{
    
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: .2rem;
}
.interes > .contenedor-interes > .card > .card-title-container{
    position: absolute;
    width: 100%;
    font-size: .8rem;
    text-align: center;
    padding: 1rem;
    bottom: 0;
    opacity: .6;
    color: white;
    background: black;
}
.interes > .contenedor-interes > .card > .card-title-container > .card-title{
    line-height: 1.2rem;
}
.interes > .contenedor-interes > .card > .card-data-container{
        display: flex;
        align-items: center;
        position: absolute;
        top: 0;
        bottom: 0;
        text-decoration: none;
        color: white;
        text-align: center;
        line-height: 2rem;
        background: black;
        opacity: .8;
        z-index: -1;
}
.interes > .contenedor-interes > .card > .card-data-container > p{
    position: relative;
    text-align: justify;
    line-height: 1.3rem;
}
.interes > .contenedor-interes > .card:first-child > .card-data-container > p{
    width: 100%;
}

.interes > .contenedor-interes > .card:hover > .card-data-container{
        z-index: 999;
        padding: 1rem;
        animation: abajoArriba .5s ease-in-out;
}


/* ============================================================================ */
/* ======= Animación para mostrar el texto en las cards de Interes ============ */
/* ============================================================================ */
@keyframes abajoArriba {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.interes > .contenedor-interes > .card:hover > .card-data-container > p{
    animation: abajoArriba .4s ease-in-out;
    font-size: .8rem;
}
/* ============================================================================ */
/* ============================ Animación Finalizada ========================== */
/* ============================================================================ */


.interes, .noticias, .servicios{
    position: relative;
    width: 100vw;
    padding: 3rem;
}

.cabecera-interes, .cabecera-noticias, .cabecera-servicios{
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 0;
    margin: 0 2rem;
    z-index: 999;
}

.interres-titulo, .noticia-titulo, .servicios-titulo{
    font-size: 2rem;
    color: #fff;
}

.noticias{
    background-color: #cccccc75;
}

.noticia-titulo{
    color: #000;
}

.cabecera-noticias .ver-mas{
    text-decoration: none;
    color: #EE2A24;
}

.contenedor-interes, .contenedor-noticias, .contenedor-servicios{
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    padding: 1rem;
}

/* ================================= */
/* ============ Servicios ========== */
/* ================================= */
.servicios .capa{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, .4);
}
.servicios{
    background: url('https://rdvial.gob.do/wp-content/uploads/2023/10/03.jpg'), linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .8));
    background-position: 100%, 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}


.servicios > .contenedor-servicios .card{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    width: 22rem;
    height: 22rem;
    padding: 1rem;
    margin: 1rem;
    border-radius: .2rem;
    background-color: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(10px);
}
.servicios > .contenedor-servicios .card hr{
    width: 100%;
}
.servicios > .contenedor-servicios .card .card-boton{
    position: relative;
    width: 20rem;
    padding: 1.5rem;
    border: none;
    border-radius: .2rem;
    box-shadow: .1rem 0 .5rem 0 rgba(255, 255, 255, 0.253);
    background-color: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(5px);
}
.servicios > .contenedor-servicios .card .card-boton > a{
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    font-size: 1.2rem;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 9999;
}

.servicios > .contenedor-servicios .card .card-imagen, .wp-post-image{
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border-color: #EE2A24;
    margin: 1rem 0;
    background-color: white;
}
.servicios > .contenedor-servicios .card .card-titulo{
    padding: 1rem 0;
    font-size: 1.5rem;
    color: #fff;
}
.servicios > .contenedor-servicios .card .card-contenido{
    margin: 1rem 0;
    padding-bottom: 1rem;
}
.servicios > .contenedor-servicios .card .card-enlace{
    display: inline-block;
    width: 100%;
    bottom: 0;
    font-size: 1rem;
    text-align: justify;
    padding: 1rem;
   /*  background-color: #003876; */
}
.servicios > .contenedor-servicios .card a{
    color: #fff;
}

.servicios a {
    text-decoration: none;
    color: #EE2A24;
}

.noticias .thumbnail-contenedor{
    position: absolute;
    height: 100%;
    display: inline-block;
    left: 0;
    right: 0;
    text-decoration: none;
    color: #000;
}

.noticias > .contenedor-noticias .card{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 22rem;
    height: 22rem;
    margin: 1rem 1rem;
    border-radius: .2rem;
    box-shadow: 2px 2px 6px 0px rgba(27, 77, 171, 0.543);
    color: #000;
}
.noticias > .contenedor-noticias .card .card-enlace{
    width: 100%;
}
.noticias > .contenedor-noticias .card .card-enlace > .card-titulo{
    position: absolute;
    width: 100%;
    padding: 1rem;
    left: 0;
    bottom: 0;
    font-size: .8rem;
    color: #fff;
    background-color: #003876;
}

.noticias > .contenedor-noticias .card .card-date{
    position: absolute;
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;
    align-items: center;
    width: 2.5rem;
    height: 5rem;
    top: 0;
    right: 0;
    margin-right: 2rem;
    border-radius: 0 0 .2rem .2rem;
    font-size: 1.5rem;
    z-index: 999;
    background-color: #003876;
}
.noticias > .contenedor-noticias .card .card-date .day{
    color: #fff;
}
.noticias > .contenedor-noticias .card .card-date .month{
    color: #EE2A24;
}
.noticias > .contenedor-noticias .card .wp-post-image{
    width: 100%;
    height: 100%;
    object-fit: cover;
    margin: 0;
    border-radius: .2rem;
}

/* ====================== */
/* Enlaces de Interés     */
/* ====================== */

.enlaces-interes{
    width: 60%;
    padding: 4rem 1rem;
    margin-left: auto;
    margin-right: auto;
}
.enlaces-interes > .cabecera-enlaces-interes{
    font-size: 2rem;
    color: #003876;
}

.enlaces-interes > .contenedor-enlaces-interes{
    padding: 5rem;
}
.enlaces-interes > .contenedor-enlaces-interes > .slider{
    display: flex;
}
/* .enlaces-interes > .contenedor-enlaces-interes > .slider > .item{
    position: relative;
    width: 300px !important;
    height: 150px !important;
    margin: 0 1rem;
    border-radius: 0.4rem;
    display: flex !important;
    justify-content: center;
} */

.slick-slide-current,
.slick-slide-active,
.slick-slide-cloned{
    position: relative;
    width: 300px !important;
    height: 13rem !important;
    margin: 0 1rem;
    border-radius: 0.4rem;
    display: flex !important;
    justify-content: center;

}
.enlaces-interes > .contenedor-enlaces-interes > .slider > .item > a > img{
    height: 100%;
    border-radius: .4rem;
}

/* Estilos a las clases que incluye la libreria slick para el carrousel */

.slick-slide img{
    width: 100%;
    height: 13rem;
}

/* ====================== */
/* Redes sociales estilos */
/* ====================== */
.redes-contenedor{
    padding: 8rem;
    background-color: #080D23;
}

.redes{
    background-color: #080D23;
}
.redes .redes-titulo .titulo{
    font-size: 2rem;
    padding: 0 1rem;
    color: #fff;
}

.redes-icons{
    display: flex;    
}
.redes-icons .icons-contenedor{
    display: flex;
    justify-content: center;
    margin: 0 1rem;
    padding: 1rem;
    border-radius: .2rem;
    transition: box-shadow .2s ease-in-out;
    /* box-shadow: .1rem .1rem .1rem 0 rgb(255, 255, 255); */
    cursor: pointer;
}
.redes-icons .icons-contenedor:hover{
    box-shadow: none;
}

.icons-contenedor > a{
    width: 100%;
    text-align: center;
}
.icons-contenedor > a > i:hover{
    opacity: .5;
}
.icons-contenedor:first-child{
    margin-left: 0;
}

/* .facebook-container{
    background-color: #3665A3;
}
.youtube-container{
    background-color: #FF0000;
}
.twitter-container{
    background-color: #02ACED;
}
.instagram-container{
    background: linear-gradient(70deg,#F9C875 18%, #E25F76 35%, #D93676 50%, #9133C1 65%, #5B55D2);
} */
.redes-icons .icons-contenedor a > i{
    font-size: 1.5rem;
    color: #fff;
}

.icons-divisor{
    margin:1rem;
    border-style: none; 
    border-top: 1px solid grey;
}

/* =========================================== */
/* =======Medias queries LANDING PAGE========= */
/* =========================================== */

@media  screen and (min-width: 100px) and (max-width: 768px){
    /* ==================================== */
    /* Interes, Noticias Cards estilos */
    /* ==================================== */
    .interes{
        padding: 0;
    }
    .interes > .contenedor-interes{
        display: flex;
        width: 100%;
    }
    .interes > .contenedor-interes > .card{
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-color: white;
        height: 22rem;
        border-radius: .2rem;
        margin-top: 1rem;
        
    }
    .servicios, .noticias{
        padding: 0;
    }

    /* ======================= */
    /* Enlaces de Interés */
    /* ======================= */
    .enlaces-interes{
        width: 100%;
        padding: 1rem;
    }
    .enlaces-interes > .cabecera-enlaces-interes{
        font-size: 2rem;
        color: #003876;
        margin: 0 1.5rem;
    }

    /* ====================== */
    /* Redes sociales estilos */
    /* ====================== */
    .redes-contenedor{
        padding: 2.2rem;
        background-color: #080D23;
    }
    .redes{
        padding: 1rem;
    }

    .redes-icons .icons-contenedor{
        display: flex;
        justify-content: center;
        width: 80%;
        margin: .2rem;
        padding: 1rem;
        border-radius: .2rem;
        transition: box-shadow .2s ease-in-out;
        cursor: pointer;
    }

    .redes-icons{
        display: flex;
        justify-content: space-between;
        margin: 0 1rem;
    }

    .icons-divisor{
        width: 100%;
    }
    .redes .redes-titulo .titulo{
        font-size: 1rem;
        padding: 0 1rem;
        color: #fff;
    }
}
/* @media  screen and (min-width: 769px) and (max-width: 992px){

}
@media  screen and (min-width: 993px) and (max-width: 1200px){

}
@media  screen and (min-width: 1201px) and (max-width: 1440px){

}
@media  screen and (min-width: 1441px){

} */